package com.ruoyi.care.mapper;

import java.util.List;
import com.ruoyi.care.domain.CareProtocol;

/**
 * 协议Mapper接口
 * 
 * @author qy
 * @date 2024-11-26
 */
public interface CareProtocolMapper 
{
    /**
     * 查询协议
     * 
     * @param id 协议主键
     * @return 协议
     */
    public CareProtocol selectCareProtocolById(Long id);

    /**
     * 查询协议列表
     * 
     * @param careProtocol 协议
     * @return 协议集合
     */
    public List<CareProtocol> selectCareProtocolList(CareProtocol careProtocol);

    /**
     * 新增协议
     * 
     * @param careProtocol 协议
     * @return 结果
     */
    public int insertCareProtocol(CareProtocol careProtocol);

    /**
     * 修改协议
     * 
     * @param careProtocol 协议
     * @return 结果
     */
    public int updateCareProtocol(CareProtocol careProtocol);

    /**
     * 删除协议
     * 
     * @param id 协议主键
     * @return 结果
     */
    public int deleteCareProtocolById(Long id);

    /**
     * 批量删除协议
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCareProtocolByIds(Long[] ids);
}
